# Skript zum Kurs "Bibliotheks- und Archivinformatik"

Dieses Skript entsteht in der Zeit von März bis Mai 2020 im Rahmen der folgenden Lehrveranstaltung:

- Kurs "Bibliotheks- und Archivinformatik"
- Dozent: [Felix Lohmeier](http://felixlohmeier.de)
- Frühlingssemester 2020
- Lehrauftrag an der [FH Graubünden - Studiengang Information Science](https://www.fhgr.ch/studium/bachelorangebot/wirtschaft-und-dienstleistung/information-science/)
- Bachelor, 4. Semester, 4 ECTS

## Gemeinsames Dokument

Für Notizen und zum Austausch verwenden wir ein gemeinsames Dokument in einer [CodiMD](https://github.com/codimd/server)-Installation [bei der GWDG](https://pad.gwdg.de/). Alle, die den Link kennen, können es bearbeiten. Zur Formatierung wird [Markdown](https://www.markdownguide.org/basic-syntax/) verwendet.

* [Gemeinsames Dokument](https://pad.gwdg.de/-r6PYpRjScC-w0JuI_Ovcg?both)

## Inhalte

1. [Technische Grundlagen](01_technische-grundlagen.md) (13.03.2020)
   - Einrichtung der Arbeitsumgebung (Linux)
   - Grundlagen der Unix Shell
   - Versionskontrolle mit Git
2. [Funktion und Aufbau von Bibliothekssystemen](02_funktion-und-aufbau-von-bibliothekssystemen.md) (03.04.2020)
   - Metadatenstandards in Bibliotheken (MARC21)
   - Installation und Konfiguration von Koha
   - Marktüberblick Bibliothekssysteme
3. [Funktion und Aufbau von Archivsystemen](03_funktion-und-aufbau-von-archivsystemen.md) (24.04.2020)
   - Metadatenstandards in Archiven (ISAD(G) und EAD)
   - Installation und Konfiguration von ArchivesSpace
   - Marktüberblick Archivsysteme
4. [Repository-Software für Publikationen und Forschungsdaten](04_repository-software-fuer-publikationen-und-forschungsdaten.md) (24.04.2020)
   - Installation und Konfiguration von DSpace
   - Open Access und Open Data
   - Marktüberblick Repository-Software
5. [Metadaten modellieren und Schnittstellen nutzen](05_metadaten-modellieren-und-schnittstellen-nutzen.md) (05.06.2020)
   - Transformation von Metadaten mit OpenRefine
   - XSLT Crosswalks mit MarcEdit
   - Austauschprotokolle für Metadaten (OAI-PMH, SRU)
   - Nutzung von JSON-APIs
6. [Suchmaschinen und Discovery-Systeme](06_suchmaschinen-und-discovery-systeme.md) (05.06.2020)
   - Funktion von Suchmaschinen am Beispiel von Solr
   - Installation und Konfiguration von VuFind
   - Marktüberblick Discovery-Systeme
7. [Linked Data](07_linked-data.md) (06.06.2020)
   - Testumgebung für Server-Software
   - Suchanfragen mit SPARQL am Beispiel des Wikidata Query Service
   - Metadaten anreichern mit OpenRefine und Wikidata

Hinweise für Lehrende:

* [Azure Lab einrichten](azure-lab-einrichten.md)

## Lerntagebücher

Als Prüfungsleistung schreiben Studierende Blogs, in denen sie von ihren Erkenntnissen berichten und sich mit den Inhalten des Seminars auseinandersetzen.

* [Lerntagebuch Ibrahim Aközel](https://akoezeibrahi.github.io/Blogbeitraege_BAIN20_Akoezel/)
* [Lerntagebuch Alicja Bednarzewska](https://alset2103.github.io/LerntagebuchBAIN/)
* [Lerntagebuch Sarah Clavadetscher](https://sarahclavadetscher.github.io/bain-lernblog/)
* [Lerntagebuch Franziska Corradini](https://librarygirllost.github.io/bain-learning-by-doing/)
* [Lerntagebuch Erica von Flüe](https://mimbulus89.wordpress.com/)
* [Lerntagebuch Miklos Frank](https://bainmf.wordpress.com)
* [Lerntagebuch Daniel Fröhli](https://ltbdf.wordpress.com)
* [Lerntagebuch Muriel Fuhrer](https://muirgheal.gitlab.io/lerntagebuch_bain_iw_2020/)
* [Lerntagebuch Maximilian Grüninger](https://ismay7.github.io/Lerntagebuch-FS20-BAIN)
* [Lerntagebuch Kim Hunziker](https://kimhunzikerbain.wordpress.com)
* [Lerntagebuch Sidney Manhart](https://sidney-manhart.github.io)
* [Lerntagebuch Samuel Martin](https://flatland.samuelnmartin.ch)
* [Lerntagebuch Michael Mathys](https://michaelmathys.github.io/BAIN/Lerntagebuch)
* [Lerntagebuch Mona Meier](https://bainlerntagebuchmonameier.jimdofree.com)
* [Lerntagebuch Nadine Kramer](https://kramerbain.wixsite.com/website)
* [Lerntagebuch Lea Reinhold](https://leaena22.github.io/BAIN-2.0/)
* [Lerntagebuch Seraina Rutschmann](https://serainowitsch.github.io/bain/)
* [Lerntagebuch Rachel Noemi Thommen](https://rachel-noemi-thommen.github.io/Lerntagebuch/)
* [Lerntagebuch Matilda Z'Graggen](https://bainlernt.wordpress.com)
* [Lerntagebuch Anya Zysset-Baschera](https://bainltaz.wordpress.com)

## Modulbeschreibung

Im Modul Bibliotheks- und Archivinformatik lernen die Studierenden die in Bibliotheken und Archiven eingesetzten Softwares und Technologien kennen. Funktionsweisen von Bibliothekskatalogen (bis hin zu Cloud-Konzepten), von Publikationsplattformen, Repositories etc. werden erläutert. Verschiedene Suchtechnologien werden analysiert und im Einsatz über unterschiedliche Datenbestände angewandt. Es wird gezeigt, wie Metadatenstandards und Austauschprotokolle eingesetzt und genutzt werden.

Nach erfolgreicher Teilnahme am Modul sind die Studierenden in der Lage:

* die Funktionsweise spezifischer Bibliothekssoftware zu verstehen
* die richtige Software für eine spezifische Aufgabe zu evaluieren
* Suchmaschinen zu konfigurieren
* Bibliothekarische und archivarische Metadaten (z.B. MARC, MARCXML, MODS, Dublin Core, EAD, BIBFRAME) zu modellieren und diese mit entsprechenden Protokollen / Anwendungen zu übertragen
* Crosswalks zwischen unterschiedlichen Metadatenformaten zu programmieren

## Skripte der Vorjahre

Herbstsemester 2019:

* Zenodo: [10.5281/zenodo.3701841](https://zenodo.org/record/3701841)
* GitHub: [v2.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v2.0)

Herbstsemester 2017:

* Zenodo: [10.5281/zenodo.3383051](https://doi.org/10.5281/zenodo.3383051)
* GitHub: [v1.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v1.0)

## Lizenz

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung 4.0 International Lizenz](http://creativecommons.org/licenses/by/4.0/)

[![Creative Commons Lizenzvertrag](images/cc-by-88x31.png)](http://creativecommons.org/licenses/by/4.0/)
